From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/cfitsio/
Date: Wed, 19 Jun 2024 04:36:25 +0000 (UTC) [thread overview]
Message-ID: <1718771283.d9b4acd2c75c45f15f1bd5d39be5ef6f76293ffd.mgorny@gentoo> (raw)
commit: d9b4acd2c75c45f15f1bd5d39be5ef6f76293ffd
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 19 04:28:03 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 19 04:28:03 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9b4acd2
sci-libs/cfitsio: Bump to 4.4.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-libs/cfitsio/Manifest | 1 +
sci-libs/cfitsio/cfitsio-4.4.1.ebuild | 77 +++++++++++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/sci-libs/cfitsio/Manifest b/sci-libs/cfitsio/Manifest
index 645f49c067d5..abce05c33554 100644
--- a/sci-libs/cfitsio/Manifest
+++ b/sci-libs/cfitsio/Manifest
@@ -1,2 +1,3 @@
DIST cfitsio-4.2.0.tar.gz 4356372 BLAKE2B 7f5e695a56105866b2457e0f1c2d74bfb2aa86bc53e4eeb39aa9b8e79b278e1184a610422bf43c341a9f3159a93b980bab1ec9084475189b08dfa080b59ec2af SHA512 41b51653370874f50a7a9fe7d5f61577a979ab9d146b8249afa407d3858cb4dce0581eba23093972b66f7d1042b9693b98ad9130ec67b3b44e94005e72d60853
DIST cfitsio-4.4.0.tar.gz 4278372 BLAKE2B 883a88b08ecddb756a479c361fd0dc4741cffd9b82f311d3cde3f4bede2ac3cb68c8597a5d1cc1350f14b2b145a628fa0ec90754284c0cd4ec1472cb370af01e SHA512 9358b1ed94fdc456cf8c0ddcb346c08f6bc97ee862c31366f3fae2d1be8d5278ffc79da01e41ceebf67ebc831f58bce3551e087c883bbf6b396133110d74b076
+DIST cfitsio-4.4.1.tar.gz 4308170 BLAKE2B 237a2f899b39a01ed73e3e41b420874c7654faf1f93e3c3b3454d2001a472f64b1c44fa2c88598ea21e3a8d60a1dcb76aa3001fee1e4443f91bcd565ce605a4f SHA512 a49e4e09a2e5f6e0ae823a68f02b3f6285cf3e0af66c9a1f8dadcd2867fa83c17fd27e446e8e5af9374ff2dc7b7a18334663ce977a1691c4ed4ced14d33232b7
diff --git a/sci-libs/cfitsio/cfitsio-4.4.1.ebuild b/sci-libs/cfitsio/cfitsio-4.4.1.ebuild
new file mode 100644
index 000000000000..a27f43704cab
--- /dev/null
+++ b/sci-libs/cfitsio/cfitsio-4.4.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib fortran-2
+
+DESCRIPTION="C and Fortran library for manipulating FITS files"
+HOMEPAGE="https://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html"
+SRC_URI="https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/10"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="bzip2 curl test threads tools cpu_flags_x86_sse2 cpu_flags_x86_ssse3"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ app-alternatives/yacc
+ app-alternatives/lex
+"
+RDEPEND="
+ sys-libs/zlib[${MULTILIB_USEDEP}]
+ bzip2? ( app-arch/bzip2[${MULTILIB_USEDEP}] )
+ curl? ( net-misc/curl[${MULTILIB_USEDEP}] )
+"
+# Bug #803350
+DEPEND="
+ ${RDEPEND}
+ <dev-lang/cfortran-20110621
+"
+
+pkg_setup() {
+ fortran-2_pkg_setup
+}
+
+src_prepare() {
+ cmake_src_prepare
+
+ if ! grep -q 'CFITSIO_SONAME,10' configure.in; then
+ die "Update subslot!"
+ fi
+
+ # fix libdir & sync SONAME to configure.in
+ sed -e 's:lib/:${CMAKE_INSTALL_LIBDIR}/:' \
+ -e "/SOVERSION/s:VERSION :VERSION ${SLOT#0/}.:" \
+ -e "s:SOVERSION :SOVERSION ${SLOT#0/}.:" \
+ -i CMakeLists.txt || die
+
+ # Avoid internal cfortran
+ rm cfortran.h || die
+}
+
+multilib_src_configure() {
+ local libdir=$(get_libdir)
+ local mycmakeargs=(
+ # used for .pc file
+ -DLIB_SUFFIX=${libdir#lib}
+
+ -DUSE_BZIP2=$(usex bzip2)
+ -DUSE_CURL=$(usex curl)
+ -DUSE_PTHREADS=$(usex threads)
+ -DUSE_SSE2=$(usex cpu_flags_x86_sse2)
+ -DUSE_SSSE3=$(usex cpu_flags_x86_ssse3)
+
+ -DTESTS=$(usex test)
+ -DUTILS=$(multilib_native_usex tools)
+ )
+ cmake_src_configure
+}
+
+multilib_src_install_all() {
+ dodoc README.md docs/changes.txt docs/*.pdf
+
+ docinto examples
+ dodoc utilities/{cookbook.{c,f},testprog.c,testf77.f,speed.c,smem.c}
+}
next reply other threads:[~2024-06-19 4:36 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-19 4:36 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-13 12:00 [gentoo-commits] repo/gentoo:master commit in: sci-libs/cfitsio/ Michał Górny
2025-04-12 9:30 Arthur Zamarin
2025-04-12 9:30 Arthur Zamarin
2025-03-29 6:08 Michał Górny
2025-03-15 7:45 Michał Górny
2025-01-11 8:39 WANG Xuerui
2024-12-28 10:47 Michał Górny
2024-12-28 9:06 Arthur Zamarin
2024-12-28 8:58 Arthur Zamarin
2024-12-28 8:55 Arthur Zamarin
2024-12-01 13:56 Michał Górny
2024-07-06 7:09 Arthur Zamarin
2024-07-06 6:10 Sam James
2024-07-06 6:10 Sam James
2024-06-13 15:00 Michał Górny
2024-06-13 12:31 Michał Górny
2024-06-13 12:31 Michał Górny
2023-12-16 20:56 Sam James
2023-12-16 19:16 Arthur Zamarin
2023-12-16 11:47 Arthur Zamarin
2022-07-03 9:02 Andrew Ammerlaan
2022-07-03 9:02 Andrew Ammerlaan
2022-05-21 18:56 Jakov Smolić
2022-05-21 18:56 Jakov Smolić
2022-05-21 18:54 Jakov Smolić
2022-05-21 18:54 Jakov Smolić
2022-05-21 18:54 Jakov Smolić
2021-08-14 23:15 Marek Szuba
2021-08-14 23:15 Marek Szuba
2021-01-25 16:48 Andreas Sturmlechner
2021-01-10 14:30 Sam James
2021-01-07 11:15 Sam James
2021-01-07 5:59 Sam James
2021-01-07 2:35 Sam James
2021-01-06 15:17 Fabian Groffen
2021-01-06 6:34 Sam James
2021-01-02 21:16 Sam James
2021-01-02 21:14 Sam James
2021-01-02 20:31 Andreas Sturmlechner
2019-11-20 20:59 Andreas Sturmlechner
2018-07-08 19:10 Sergei Trofimovich
2018-07-07 9:02 Sergei Trofimovich
2018-07-01 15:00 Pacho Ramos
2018-06-30 19:03 Sergei Trofimovich
2018-06-27 21:54 Sergei Trofimovich
2018-06-27 17:23 Tobias Klausmann
2018-05-25 22:28 Aaron Bauman
2017-06-26 4:35 Sebastien Fabbro
2016-06-06 22:03 Sebastien Fabbro
2016-02-22 20:04 Sebastien Fabbro
2016-02-15 21:52 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1718771283.d9b4acd2c75c45f15f1bd5d39be5ef6f76293ffd.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox